### Function

# Pango attr_font_scale_new

since: 1.50

#### Declaration [src]

    PangoAttribute*
    pango_attr_font_scale_new (
      PangoFontScale scale
    )

#### Description [src]

Create a new font scale attribute.

The effect of this attribute is to change the font size of a run, relative to the size of preceding run.

Available since: 1.50

#### Parameters

`scale`

  Type: `PangoFontScale`

  A `PangoFontScale` value, which indicates font size change relative to the size of the previous run.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`

The caller of the function takes ownership of the data, and is responsible for freeing it.